%{?scl:%scl_package perl-Test-Needs}

Name:           %{?scl_prefix}perl-Test-Needs
Version:        0.002005
Release:        5%{?dist}
Summary:        Skip tests when modules not available
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Test-Needs/
Source0:        http://www.cpan.org/authors/id/H/HA/HAARG/Test-Needs-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  %{?scl_prefix}perl-interpreter
BuildRequires:  %{?scl_prefix}perl-generators
BuildRequires:  %{?scl_prefix}perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  %{?scl_prefix}perl(IPC::Open3)
BuildRequires:  %{?scl_prefix}perl(Test::Builder)
BuildRequires:  %{?scl_prefix}perl(Test::More) >= 0.45
BuildRequires:  %{?scl_prefix}perl(Test2::API)
BuildRequires:  %{?scl_prefix}perl(Test2::Event)
BuildRequires:  %{?scl_prefix}perl(lib)
BuildRequires:  %{?scl_prefix}perl(strict)
BuildRequires:  %{?scl_prefix}perl(version)
BuildRequires:  %{?scl_prefix}perl(warnings)

Requires:       %{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))

%{?perl_default_filter}

%description
Skip test scripts if modules are not available. The requested modules will
be loaded, and optionally have their versions checked. If the module is
missing, the test script will be skipped. Modules that are found but fail
to compile will exit with an error rather than skip.

%prep
%setup -q -n Test-Needs-%{version}

%build
%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make pure_install DESTDIR=$RPM_BUILD_ROOT%{?scl:'}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?scl:scl enable %{scl} '}make test%{?scl:'}

%files
%doc Changes README
%{perl_vendorlib}/Test*
%{_mandir}/man3/Test*

%changelog
* Fri Dec 15 2017 Petr Pisar <ppisar@redhat.com> - 0.002005-5
- SCL

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.002005-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.002005-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.002005-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Oct 02 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002005-1
- Update to 0.002005

* Thu Aug 25 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002004-1
- Update to 0.002004

* Fri Jun 10 2016 Emmanuel Seyman <emmanuel@seyman.fr> 0.002002-1
- Specfile autogenerated by cpanspec 1.78.
